version: "3.8"

services:
  attendance-backend:
    build: .
    container_name: attendance-backend
    ports:
      - "3006:3000"

    environment:
      TZ: Asia/Dhaka
      NODE_ENV: production

    volumes:
      - ./serviceAccountKey.json:/usr/src/app/serviceAccountKey.json:ro
      - ./uploads:/usr/src/app/uploads

    restart: always

    #for PM2 clustering
    deploy:
      resources:
        limits:
          cpus: "4.0"
          memory: 8G
